.calendar-container {
	min-width: 200px;
	max-width: 980px;
	margin-right: 40px;
}

.calendar-container .fc-content {
	cursor: pointer;
	overflow: hidden;
}

.calendar-container .fc-content > .left-float {
	position: absolute;
	top: 0;
	right: 0;
	background-color: #0052CC;
}

.calendar-container .fc-content > .left-float::before {
	position: absolute;
	content: "";
	height: 12px;
	width: 16px;
	background: linear-gradient(90deg, rgba(0,82,204,0), #0052CC);
	transform: translateX(-16px);
}

.calendar-container .fc-event {
	line-height: 14px;
	font-size: 12px;
	border-radius: 0;
	background-color: #0052CC;
	border-color: #0052CC;
}

.calendar-container a.fc-event {
	text-decoration: none;
}

.calendar-container .status-icon .fa-check,
.right-pane-container .status-icon .fa-check {
	color: #99FFCC;
}

.calendar-container .status-icon .fa-circle-o,
.right-pane-container .status-icon .fa-circle-o {
	color: #99CCFF;
	margin: 1px 2px;
}

.calendar-container .status-icon .fa-ban,
.calendar-container .status-icon .fa-remove,
.calendar-container .status-icon .fa-location-dot,
.right-pane-container .status-icon .fa-ban,
.right-pane-container .status-icon .fa-remove,
.right-pane-container .status-icon .fa-location-dot {
	color: #FF9999;
	margin: 1px 2px;
}

.right-pane-container {
	min-width: 240px;
	max-width: 480px;
	margin-right: 40px;
}

.fc button {
	display: revert;
	height: revert;
	line-height: revert;
	min-width: revert;
	transition: revert;
}

.fc button:hover {
	color: revert;
	background: revert;
	transition: revert;
}

.fc-content-skeleton {
	pointer-events: none;
}

.fc-event, .fc-more-cell {
	pointer-events: all;
}

.fc-event {
	font-size: 12px;
}

.fc-toolbar {
	margin-bottom: 0;
}

.shift-day {
	color: ivory;
}

.shift-mrn {
	color: #99CCFF;
}

.shift-aft {
	color: #99FFCC;
}

.shift-eve {
	color: #FFCC99;
}

.shift-nit {
	color: #CC99FF;
}

.shift-oth {
	color: #CCFFFF;
}

.shift-colors-legend-row {
	height: 36px;
}
.shift-colors-legend b {
	float: left;
	width: 48px;
	margin: 4px 8px 0 0;
	padding: 4px 0;
	text-align: center;
}
.shift-colors-legend b,
.icons-colors-legend .status-icon {
	background-color: #0052CC;
}

.shift-colors-legend,
.icons-colors-legend {
	padding: 8px 16px 16px 16px;
	margin-bottom: 16px;
}

.icons-colors-legend .status-icon {
	display: inline-block;
	width: 24px;
	padding: 2px 0;
	line-height: 14px;
	font-size: 12px;
	text-align: center;
}

.day-wrapper {
	display: flex;
	flex-direction: row;
	align-items: flex-start;
	justify-content: center;
	z-index: 1001;
}

.assign-me-btn {
	display: flex;
	justify-content: center;
	width: fit-content;
	height: fit-content;
	margin-top: 2px;
	background-color: #0066ff;
	border-radius: 100%;
	pointer-events: all;
	cursor: pointer;
}
.assign-me-btn i {
	color: #eee;
}
.assign-me-btn.disabled {
	background-color: #ddd;
	cursor: default;
}
.assign-me-btn.disabled i {
	color: #a7a5a5;
}

.shift-code {
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: #0052CC;
	border-radius: 2px;
	width: 40px;
	height: 30px;
}

.shift-code.shift-disabled {
	color: #999;
	background-color: #eaeaea;
}

.shift-disabled-info {
	font-weight: 700;
	color: #cf2f0e;
}

@media print {
	.calendar-container,
	.right-pane-container {
		min-width: 100%;
		max-width: 100%;
		width: 100%;
		margin: 0;
	}

	.calendar-container .fc-content {
		color: black;
	}

	.calendar-container .fc-event {
		border: none !important;
		background: none !important;
	}

	.shift-day,
	.shift-mrn,
	.shift-aft,
	.shift-eve,
	.shift-nit,
	.shift-oth {
		color: black;
	}

	.calendar-container .status-icon .fa-check,
	.right-pane-container .status-icon .fa-check,
	.calendar-container .status-icon .fa-circle-o,
	.right-pane-container .status-icon .fa-circle-o,
	.calendar-container .status-icon .fa-ban,
	.calendar-container .status-icon .fa-remove,
	.calendar-container .status-icon .fa-map-marker,
	.right-pane-container .status-icon .fa-ban,
	.right-pane-container .status-icon .fa-remove,
	.right-pane-container .status-icon .fa-map-marker {
		color: black;
	}

	.calendar-container .fc-content > .left-float::before {
		display: none;
	}
}

@media (max-width: 1720px) {
	.right-pane-container {
		min-width: unset;
		max-width: unset;
		margin-right: 40px;
	}
	.right-pane-container .shift-colors-legend,
	.right-pane-container .icons-colors-legend,
	.right-pane-container .favorite-sites-legend {
		float: left;
		margin-right: 16px;
	}
}
